<?php

include(dirname(__FILE__).'/../../config/config.inc.php');
include(dirname(__FILE__).'/../../header.php');
include(dirname(__FILE__).'/cashonpickup.php');

$confirm = Tools::getValue('confirm');

/* Validate order */
if ($confirm)
{
	$customer = new Customer(intval($cart->id_customer));
	$cashOnPickup = new CashOnPickup();
	$total = floatval(number_format($cart->getOrderTotal(true, 3), 2, '.', ''));
	$cashOnPickup->validateOrder((int)($cart->id), _PS_OS_PREPARATION_, $total, $cashOnPickup->displayName, NULL, array(), NULL, false,$customer->secure_key);;
	$order = new Order(intval($cashOnPickup->currentOrder));
	Tools::redirectLink(__PS_BASE_URI__.'order-confirmation.php?key='.$customer->secure_key.'&id_cart='.(int)($cart->id).'&id_module='.(int)($cashOnDelivery->id).'&id_order='.(int)($cashOnPickup->currentOrder));
}
else
{
	/* or ask for confirmation */ 
	$smarty->assign(array(
		'total' => number_format($cart->getOrderTotal(true, 3), 2, '.', ''),
		'this_path_ssl' => (Configuration::get('PS_SSL_ENABLED') ? 'https://' : 'http://').htmlspecialchars($_SERVER['HTTP_HOST'], ENT_COMPAT, 'UTF-8').__PS_BASE_URI__.'modules/cashonpickup/'
	));

	$smarty->assign('this_path', __PS_BASE_URI__.'modules/cashonpickup/');
	$template = 'validation.tpl';
	echo Module::display('cashonpickup', $template);	
}

include(dirname(__FILE__).'/../../footer.php');